Bug 387102 - Green lines in burn filter set to shadows using 16bit color depth
Summary: Green lines in burn filter set to shadows using 16bit color depth
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Filters (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources All
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-19 11:59 UTC by Andreas Raninger
Modified: 2018-09-26 11:36 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
KRA file showing the bug, the burn filter is as filter mask here (318.88 KB, application/x-krita)
2018-09-21 19:28 UTC, Pierre "bloodywing" Geier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Raninger 2017-11-19 11:59:23 UTC
When painting on a 16bit color depth canvas the burn filter brush produces green diagonal lines when set to shadows. This also happens when adding the burn filter with the shadows setting to a layer.
Comment 1 Halla Rempt 2017-11-19 12:30:53 UTC
Wolthera confirms in https://forum.kde.org/viewtopic.php?f=288&t=142763&p=384152#p384152, so setting status to confirmed/
Comment 2 mvowada 2018-01-20 17:08:24 UTC
(I can confirm on Ubuntu 14.04 with Krita 4.0.0-beta1.1.appimage. Checked on a A4 300 ppi 16-bit document. I get "vertical" green stripes though, when using the "Filter > Adjust > Burn" in "Shadow" mode)
Comment 3 Pierre "bloodywing" Geier 2018-09-21 19:28:40 UTC
Created attachment 115154 [details]
KRA file showing the bug, the burn filter is as filter mask here

The file contains 2 layers.
1 layer is 8 bit with a burn mask and set to shadow, this layer works

and below that layer is another one 16bit with the same filter as mask, it has green stripes.
Comment 4 Dmitry Kazakov 2018-09-26 11:00:48 UTC
Git commit e91d0c0ad727123159f263b083755af346baefe9 by Dmitry Kazakov.
Committed on 26/09/2018 at 11:00.
Pushed by dkazakov into branch 'master'.

Fix Burn filter to work in 16-bit color space

M  +1    -1    plugins/color/colorspaceextensions/kis_burnshadows_adjustment.cpp

https://commits.kde.org/krita/e91d0c0ad727123159f263b083755af346baefe9
Comment 5 Dmitry Kazakov 2018-09-26 11:36:44 UTC
Git commit 2d6eaf1f6cecc1eebe6764d7dd3a5451a0625026 by Dmitry Kazakov.
Committed on 26/09/2018 at 11:36.
Pushed by dkazakov into branch 'krita/4.1'.

Fix Burn filter to work in 16-bit color space

M  +1    -1    plugins/color/colorspaceextensions/kis_burnshadows_adjustment.cpp

https://commits.kde.org/krita/2d6eaf1f6cecc1eebe6764d7dd3a5451a0625026